=== plugins/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

add_subdirectory(sampleplugin)
