=== debian/changelog ===
kdenlive (18.12.3-1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.
  * Moved breeze & frei0r-plugins from recommends to depends.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 07 Mar 2019 10:58:01 -0800

kdenlive (18.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Mar 2019 13:36:49 +0100
