## kdenlive 18.12.3a

=== debian/changelog ===
kdenlive (4:18.12.3a-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)
  * Rename source tarball appending 'a' for upstream respin.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:27:48 +0000

kdenlive (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:15:11 +0000

kdenlive (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:07 +0000

kdenlive (4:18.12.0-1ubuntu1) disco; urgency=medium

  * New upstream release (18.12.0)
  * Merge Debian changes. Remaining changes:
    - d/patches/01-desktop-keywords.diff
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/rules: build with dhmk.
    - Update install files.
    - Add not-installed for docs.
    - Optional build dep on libkf5purpose-dev.
    - Keep our build dep versions.
    - Kubuntu Vcs fields.
    - Depend on breeze-icon-theme, drop oxygen-icon-theme to recommends.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 12:40:25 +0000

kdenlive (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3).
  * New build dep on libkf5purpose-dev.
  * Update not-installed with docs we don't ship.
  * Bump the debhelper compatibility and build dep to 11.
  * Bump Standards-Version to 4.2.1
  * Add upstream signing key, and update watchfile.
  * Switch homepage to use https.
  * Now we depend on breeze-icon-theme, drop oxygen-icon-theme to
    recommends.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Dec 2018 20:22:13 +0000
