=== debian/changelog ===
kdenlive (18.12.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 28 Jan 2021 10:14:30 +0800
