=== debian/changelog ===
kdenlive (19.04.3-2) unstable; urgency=medium

  * Remove buildinfo flag again.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Jul 2019 15:23:55 +0200

kdenlive (19.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Add patch 01-spelling-errors to fix some spelling errors.
  * Adjust lintian overrides.
  * Fix lintian warning public-upstream-key-not-minimal.
  * Remove extra license file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Jul 2019 11:36:47 +0200

kdenlive (19.04.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Jul 2019 09:39:36 +0200

kdenlive (19.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 13 Jun 2019 15:23:55 +0200

kdenlive (19.04.1-1) experimental; urgency=medium

  * New upstream release.
    - Add new build dependencies qtmultimedia5-dev, libkf5purpose-dev,
      libkf5declarative-dev and librttr-dev.
  * Override dh_auto_test, since it requires a running X display.
  * Adjust install docs.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 May 2019 15:12:11 +0200
