=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: https://kdenlive.org/
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 12),
  pkg-config,
  cmake,
  pkg-kde-tools,
  libmlt-dev (>= 6.6.0),
  libmlt++-dev (>= 6.6.0),
+ librttr-dev,
  ffmpeg,
  libqt5opengl5-dev,
  extra-cmake-modules,
  qtscript5-dev,
+ qtmultimedia5-dev,
  libqt5svg5-dev,
  libqt5webkit5-dev,
  libkf5doctools-dev,
@@ -29,6 +31,8 @@
  libkf5iconthemes-dev,
  libkf5newstuff-dev,
  libkf5filemetadata-dev,
+ libkf5purpose-dev,
+ libkf5declarative-dev,
  libkf5crash-dev,
  libkf5notifications-dev,
  libkf5notifyconfig-dev,
