## kdenlive 19.08.0

=== debian/changelog ===
kdenlive (19.08.0-1~mx19+2) mx; urgency=medium

  * Add packages as depends so users won't get warning messages at start.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 24 Aug 2019 12:44:02 -0700

kdenlive (19.08.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * debian/control: minimum required version of mlt is now 6.16.0.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 22 Aug 2019 18:59:58 -0700

kdenlive (19.08.0-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 16 Aug 2019 10:48:14 +0200

kdenlive (19.04.3-3) unstable; urgency=medium

  * Add more qml-module packages dependencies.
    Closes: #933367

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Aug 2019 09:35:56 +0200
