=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kdenlive
 Section: video
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: https://kdenlive.org/
 Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 12),
  pkg-config,
  cmake,
  pkg-kde-tools,
- libmlt-dev (>= 6.6.0),
- libmlt++-dev (>= 6.6.0),
+ libmlt-dev (>= 6.16.0),
+ libmlt++-dev (>= 6.16.0),
  librttr-dev,
  ffmpeg,
  libqt5opengl5-dev,
@@ -49,12 +50,18 @@
  kdenlive-data (= ${source:Version}),
  qml-module-qtquick2,
  qml-module-qtquick-controls,
+ qml-module-qtgraphicaleffects,
+ qml-module-qtqml-models2,
+ qml-module-qtquick-controls2,
+ qml-module-qtquick-dialogs,
+ qml-module-qtquick-layouts,
+ qml-module-qtquick-window2,
  kinit,
  kded5,
  kio,
  melt,
- ffmpeg
-Recommends: swh-plugins,
+ ffmpeg,
+ swh-plugins,
  breeze-icon-theme,
  oxygen-icon-theme,
  dvgrab,
@@ -72,7 +79,7 @@
   * Real time changes
   * FireWire and Video4Linux capture
   * Screen grabbing
-  * Exporting to any by FFMPEG supported format
+  * Exporting to any format supported by FFMPEG
 
 Package: kdenlive-data
 Architecture: all
@@ -89,6 +96,6 @@
   * Real time changes
   * FireWire and Video4Linux capture
   * Screen grabbing
-  * Exporting to any by FFMPEG supported format
+  * Exporting to any format supported by FFMPEG
  .
  This package contains the data files for kdenlive.
