## kdenlive 19.08.1

=== debian/changelog ===
kdenlive (19.08.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Sep 2019 18:05:28 -0700

kdenlive (19.08.1-1) unstable; urgency=medium

  * Bump libmlt-dev build dependency up to version 6.10.0.
    Closes: #934933
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 18 Sep 2019 09:24:33 +0200
