=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  pkg-config,
  cmake,
  pkg-kde-tools,
- libmlt-dev (>= 6.16.0),
- libmlt++-dev (>= 6.16.0),
+ libmlt-dev (>= 6.10.0),
+ libmlt++-dev (>= 6.10.0),
  librttr-dev,
  ffmpeg,
  libqt5opengl5-dev,
@@ -60,8 +60,8 @@
  kded5,
  kio,
  melt,
- ffmpeg,
- swh-plugins,
+ ffmpeg
+Recommends: swh-plugins,
  breeze-icon-theme,
  oxygen-icon-theme,
  dvgrab,
@@ -79,7 +79,7 @@
   * Real time changes
   * FireWire and Video4Linux capture
   * Screen grabbing
-  * Exporting to any format supported by FFMPEG
+  * Exporting to any by FFMPEG supported format
 
 Package: kdenlive-data
 Architecture: all
@@ -96,6 +96,6 @@
   * Real time changes
   * FireWire and Video4Linux capture
   * Screen grabbing
-  * Exporting to any format supported by FFMPEG
+  * Exporting to any by FFMPEG supported format
  .
  This package contains the data files for kdenlive.
