=== debian/changelog ===
kdenlive (19.08.2-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Move all recommended packages to depends.
  * debian/control:
    - correct mlt minimum version to 6.16

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Nov 2019 13:52:00 -0800

kdenlive (19.08.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Set Rules-Requires-Root to no.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 11 Oct 2019 10:17:57 +0200

kdenlive (19.08.1-2) unstable; urgency=high

  * Apply patch from Maximiliano Curia and many thanks to him!
    - Force extra-cmake-modules build dependency version.
    - Move qdebug files.
      Closes: #940861

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 Sep 2019 09:56:26 +0200
