=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: https://kdenlive.org/
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Build-Depends: debhelper (>= 12),
  pkg-config,
  cmake,
  pkg-kde-tools,
- libmlt-dev (>= 6.10.0),
- libmlt++-dev (>= 6.10.0),
+ libmlt-dev (>= 6.16),
+ libmlt++-dev (>= 6.16),
  librttr-dev,
  ffmpeg,
  libqt5opengl5-dev,
- extra-cmake-modules,
+ extra-cmake-modules (>= 5.59~),
  qtscript5-dev,
  qtmultimedia5-dev,
  libqt5svg5-dev,
@@ -60,8 +61,8 @@
  kded5,
  kio,
  melt,
- ffmpeg
-Recommends: swh-plugins,
+ ffmpeg,
+ swh-plugins,
  breeze-icon-theme,
  oxygen-icon-theme,
  dvgrab,
